Get/refresh access token

The method allows you to exchange an authorization code to access token and refresh token

Example of request body (getting access and refresh tokens)

{
  "client_id": "xxxx",
  "client_secret": "xxxx",
  "grant_type": "authorization_code",
  "code": "xxxxxxx",
  "redirect_uri": "https://test.test"
}

Example of request body (getting a new access token once it expires)

{
 "client_id": "xxxx",
  "client_secret": "xxxx",
  "grant_type": "refresh_token",
  "refresh_token": "xxxxx",
  "redirect_uri": "https://test.test"
}

Response parameters

ParameterData typeDescription
token_typestringToken type (bearer)
expires_inintTime in seconds, which shows when the token will expire
server_timeintToken issue time on server
access_tokenstringAccess token
refresh_tokenstringRefresh token
Body Params
string

client_id

string

Secret key

string
enum

Type of authorization data (for Authorization code: authorization_code, for refresh token: refresh_token)

Allowed:
string

Your authorization code

string

Refresh token

string

Redirect URI indicated in the integration settings

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json